GoDoxy

Homepage items

GET
/homepage/items

Homepage items

Query Parameters

category?string

Category filter

provider?string

Provider filter

search?string

Search query

sort_method?string

Sort method

Default"alphabetical"

Value in

  • "clicks"
  • "alphabetical"
  • "custom"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/homepage/items"
[  {    "items": [      {        "alias": "string",        "all_sort_order": 0,        "category": "string",        "clicks": 0,        "container_id": "string",        "description": "string",        "fav_sort_order": 0,        "favorite": true,        "icon": "string",        "name": "string",        "origin_url": "string",        "provider": "string",        "proxmox": {          "node": "string",          "vmid": 0        },        "show": true,        "sort_order": 0,        "url": "string",        "widget_config": {          "config": null,          "provider": "string"        },        "widgets": [          {            "label": "string",            "value": "string"          }        ]      }    ],    "name": "string"  }]